
From: Matt Mackall <mpm@selenic.com>

CONFIG_BASE_SMALL reduce console transfer buffer

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/vt_kern.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/linux/vt_kern.h~base-small-shrink-console-buffer include/linux/vt_kern.h
--- 25/include/linux/vt_kern.h~base-small-shrink-console-buffer	2005-02-02 15:31:01.168644624 -0800
+++ 25-akpm/include/linux/vt_kern.h	2005-02-02 15:31:01.172644016 -0800
@@ -84,7 +84,8 @@ void reset_vc(struct vc_data *vc);
  * vc_screen.c shares this temporary buffer with the console write code so that
  * we can easily avoid touching user space while holding the console spinlock.
  */
-#define CON_BUF_SIZE	PAGE_SIZE
+
+#define CON_BUF_SIZE (CONFIG_BASE_SMALL ? 256 : PAGE_SIZE)
 extern char con_buf[CON_BUF_SIZE];
 extern struct semaphore con_buf_sem;
 
_
